unit GotoLine;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TGotoForm = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    GotoLineField: TEdit;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  GotoForm: TGotoForm;

  theline:integer;

implementation

{$R *.DFM}

uses MainUnit, Editor;

procedure TGotoForm.FormShow(Sender: TObject);
begin
  GotoLineField.SetFocus;
  GotoLineField.SelectAll;
end;

procedure TGotoForm.Button1Click(Sender: TObject);
begin
  try
    theline := StrtoInt(GotoForm.GotoLineField.Text);
  except
    theline := 0;
  end;
  if (theline < 1) or (theline > TEditorForm(MainForm.ActiveMDIChild).TheEditor.Lines.Count) then
  begin
    ShowMessage(Format('Line must be between 1 and %d.',
                       [TEditorForm(MainForm.ActiveMDIChild).TheEditor.Lines.Count]));
    GotoLineField.SetFocus;
    GotoLineField.SelectAll;
  end
  else
    GotoForm.ModalResult:=mrOK;
end;

end.
