unit MessageUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, ExtCtrls;

type
  TMessageForm = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button0: TButton;
    Panel2: TPanel;
    SendEdit: TEdit;
    SendButton: TButton;
    ValueUpDown: TUpDown;
    procedure Button0Click(Sender: TObject);
    procedure SendButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MessageForm: TMessageForm;

implementation

uses MainUnit,ExecProgram;
{$R *.DFM}

procedure SendMessage(val:integer);
{Sends the actual message}
var f:File;
    buf:array[1..9] of Char;
begin
  MainForm.RCX.CloseComm();
  buf[1] := Chr($55);                  // Start up
  buf[2] := Chr($ff);
  buf[3] := Chr($00);
  buf[4] := Chr($f7);                 // Message command
  buf[5] := Chr($08);
  buf[6] := Chr(val);                 // Value
  buf[7] := Chr($ff -val);
  buf[8] := Chr(($f7+val) mod 256);   // Checksum
  buf[9] := Chr($ff - (($f7+val) mod 256));
  AssignFile(f,'COM'+InttoStr(MainForm.RCX.ComPortNo));
  ReWrite(f,1);
  BlockWrite(f, buf, 9);
  CloseFile(f);
  MainForm.RCX.InitComm();
end;


procedure TMessageForm.Button0Click(Sender: TObject);
begin
  SendMessage(TButton(Sender).Tag);
end;

procedure TMessageForm.SendButtonClick(Sender: TObject);
begin
  SendMessage(ValueUpDown.Position);
end;

end.
