program RcxCC;

uses
  Forms,
  Controller in 'Controller.pas' {DirectForm},
  MainUnit in 'MainUnit.pas' {MainForm},
  Diagnose in 'Diagnose.pas' {DiagForm},
  Unlock in 'Unlock.pas' {UnlockForm},
  Watch in 'Watch.pas' {WatchForm},
  About in 'About.pas' {AboutBox},
  GotoLine in 'GotoLine.pas' {GotoForm},
  SearchRCX in 'SearchRCX.pas' {SearchRCXForm},
  Piano in 'Piano.pas' {PianoForm},
  ColorCode in 'ColorCode.pas',
  ExecProgram in 'ExecProgram.pas',
  Preferences in 'Preferences.pas' {PrefForm},
  Editor in 'Editor.pas' {EditorForm},
  ConstructUnit in 'ConstructUnit.pas' {ConstructForm},
  JoystickUnit in 'JoystickUnit.pas' {JoystickForm},
  PuzzleUnit in 'PuzzleUnit.pas' {PuzzleForm},
  DatalogUnit in 'DatalogUnit.pas' {DatalogForm},
  TransmitUnit in 'TransmitUnit.pas' {TransmitForm},
  MemoryUnit in 'MemoryUnit.pas' {MemoryForm},
  CodeUnit in 'CodeUnit.pas' {CodeForm},
  Translate in 'Translate.pas',
  MessageUnit in 'MessageUnit.pas' {MessageForm};

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'RCX Command Center';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TDirectForm, DirectForm);
  Application.CreateForm(TDiagForm, DiagForm);
  Application.CreateForm(TUnlockForm, UnlockForm);
  Application.CreateForm(TWatchForm, WatchForm);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.CreateForm(TGotoForm, GotoForm);
  Application.CreateForm(TSearchRCXForm, SearchRCXForm);
  Application.CreateForm(TPianoForm, PianoForm);
  Application.CreateForm(TConstructForm, ConstructForm);
  Application.CreateForm(TJoystickForm, JoystickForm);
  Application.CreateForm(TPuzzleForm, PuzzleForm);
  Application.CreateForm(TDatalogForm, DatalogForm);
  Application.CreateForm(TTransmitForm, TransmitForm);
  Application.CreateForm(TMemoryForm, MemoryForm);
  Application.CreateForm(TCodeForm, CodeForm);
  Application.CreateForm(TMessageForm, MessageForm);
  Application.CreateForm(TPrefForm, PrefForm);
  Application.Run;
end.
