unit Unlock;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls;

type
  TUnlockForm = class(TForm)
    Label1: TLabel;
    ProgressBar1: TProgressBar;
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  UnlockForm: TUnlockForm;

implementation

{$R *.DFM}

uses MainUnit;

var SaveCursor: TCursor;

procedure TUnlockForm.Timer1Timer(Sender: TObject);
begin
  ProgressBar1.Position := ProgressBar1.Position+1;
end;

procedure TUnlockForm.FormShow(Sender: TObject);
begin
  SaveCursor := Screen.Cursor;
  Screen.Cursor := crHourglass;
  ProgressBar1.Position := 0;
end;

procedure TUnlockForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Screen.Cursor := SaveCursor;
end;

end.
