unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus, ComCtrls, OleCtrls, SPIRITLib_TLB, ToolWin, Buttons,
  ExtCtrls, Editor;

type
  TMainForm = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Edit1: TMenuItem;
    Tools1: TMenuItem;
    Help1: TMenuItem;
    About1: TMenuItem;
    New1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    SaveAs1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Compile: TMenuItem;
    Compile1: TMenuItem;
    Download1: TMenuItem;
    DirectControl1: TMenuItem;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    N2: TMenuItem;
    Print1: TMenuItem;
    PrintDialog1: TPrintDialog;
    Diagnose1: TMenuItem;
    ToolBar1: TToolBar;
    Firmware1: TMenuItem;
    OpenDialog2: TOpenDialog;
    N3: TMenuItem;
    ProgramBox: TComboBox;
    RCX: TSpirit;
    N4: TMenuItem;
    Run1: TMenuItem;
    Stop1: TMenuItem;
    StatusBar1: TStatusBar;
    Watch1: TMenuItem;
    Clearmemory1: TMenuItem;
    Cut1: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    Delete1: TMenuItem;
    SelectAll1: TMenuItem;
    NewBtn: TSpeedButton;
    ToolButton2: TToolButton;
    OpenBtn: TSpeedButton;
    SaveBtn: TSpeedButton;
    RunBtn: TSpeedButton;
    StopBtn: TSpeedButton;
    ToolButton1: TToolButton;
    PrintBtn: TSpeedButton;
    ToolButton4: TToolButton;
    CompileBtn: TSpeedButton;
    DownloadBtn: TSpeedButton;
    ToolButton3: TToolButton;
    ToolButton5: TToolButton;
    InfoBtn: TSpeedButton;
    N8: TMenuItem;
    Find1: TMenuItem;
    FindDialog1: TFindDialog;
    GotoLineNumber1: TMenuItem;
    ReplaceDialog1: TReplaceDialog;
    Replace1: TMenuItem;
    FindNext1: TMenuItem;
    FindBtn: TSpeedButton;
    ReplaceBtn: TSpeedButton;
    ToolButton6: TToolButton;
    N9: TMenuItem;
    FindRCX1: TMenuItem;
    TempErrors: TListBox;
    TempEditor: TRichEdit;
    OpenDialog3: TOpenDialog;
    N12: TMenuItem;
    Undo1: TMenuItem;
    DownloadandRun1: TMenuItem;
    N13: TMenuItem;
    RCXPiano1: TMenuItem;
    N14: TMenuItem;
    Contents1: TMenuItem;
    HowTo1: TMenuItem;
    Preferences1: TMenuItem;
    HelpBtn: TSpeedButton;
    Window1: TMenuItem;
    Arrange1: TMenuItem;
    TileHorizontal: TMenuItem;
    Cascade1: TMenuItem;
    N10: TMenuItem;
    N15: TMenuItem;
    HideErrors1: TMenuItem;
    RecentSep: TMenuItem;
    Recent1: TMenuItem;
    Recent2: TMenuItem;
    Recent3: TMenuItem;
    Recent4: TMenuItem;
    NextField1: TMenuItem;
    InsertFile1: TMenuItem;
    N11: TMenuItem;
    Close1: TMenuItem;
    CloseAll1: TMenuItem;
    SaveAll1: TMenuItem;
    TileVertical1: TMenuItem;
    ShowConstructions1: TMenuItem;
    N6: TMenuItem;
    RCXJoystick1: TMenuItem;
    ProgramNumber1: TMenuItem;
    Program11: TMenuItem;
    Program21: TMenuItem;
    Program31: TMenuItem;
    Program41: TMenuItem;
    Program51: TMenuItem;
    Keywords1: TMenuItem;
    Datalog1: TMenuItem;
    N7: TMenuItem;
    MemoryMap1: TMenuItem;
    Retransmissions1: TMenuItem;
    CloseCOM1: TMenuItem;
    ReopenCOM1: TMenuItem;
    TurnRCXOff1: TMenuItem;
    ShowCodeListing1: TMenuItem;
    N5: TMenuItem;
    Webpage1: TMenuItem;
    N16: TMenuItem;
    RefreshScreen1: TMenuItem;
    Translate1xto201: TMenuItem;
    N17: TMenuItem;
    SendMessage1: TMenuItem;
    procedure Exit1Click(Sender: TObject);
    procedure DirectControl1Click(Sender: TObject);
    procedure Compile1Click(Sender: TObject);
    procedure Download1Click(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure Save1Click(Sender: TObject);
    procedure SaveAs1Click(Sender: TObject);
    procedure New1Click(Sender: TObject);
    procedure Print1Click(Sender: TObject);
    procedure Diagnose1Click(Sender: TObject);
    procedure Firmware1Click(Sender: TObject);
    procedure RCXDownloadDone(Sender: TObject; ErrorCode,
      DownloadNo: Smallint);
    procedure ProgramBoxChange(Sender: TObject);
    procedure Run1Click(Sender: TObject);
    procedure Stop1Click(Sender: TObject);
    procedure Watch1Click(Sender: TObject);
    procedure Clearmemory1Click(Sender: TObject);
    procedure Cut1Click(Sender: TObject);
    procedure Copy1Click(Sender: TObject);
    procedure Paste1Click(Sender: TObject);
    procedure SelectAll1Click(Sender: TObject);
    procedure Delete1Click(Sender: TObject);
    procedure Edit1Click(Sender: TObject);
    procedure NewBtnClick(Sender: TObject);
    procedure OpenBtnClick(Sender: TObject);
    procedure SaveBtnClick(Sender: TObject);
    procedure RunBtnClick(Sender: TObject);
    procedure StopBtnClick(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure PrintBtnClick(Sender: TObject);
    procedure CompileBtnClick(Sender: TObject);
    procedure DownloadBtnClick(Sender: TObject);
    procedure InfoBtnClick(Sender: TObject);
    procedure Find1Click(Sender: TObject);
    procedure FindDialog1Find(Sender: TObject);
    procedure GotoLineNumber1Click(Sender: TObject);
    procedure Replace1Click(Sender: TObject);
    procedure ReplaceDialog1Find(Sender: TObject);
    procedure ReplaceDialog1Replace(Sender: TObject);
    procedure FindNext1Click(Sender: TObject);
    procedure FindBtnClick(Sender: TObject);
    procedure ReplaceBtnClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FindRCX1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure InsertFile1Click(Sender: TObject);
    procedure Undo1Click(Sender: TObject);
    procedure DownloadandRun1Click(Sender: TObject);
    procedure RCXPiano1Click(Sender: TObject);
    procedure Contents1Click(Sender: TObject);
    procedure HowTo1Click(Sender: TObject);
    procedure Preferences1Click(Sender: TObject);
    procedure HelpBtnClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure File1Click(Sender: TObject);
    procedure TileHorizontalClick(Sender: TObject);
    procedure Cascade1Click(Sender: TObject);
    procedure Arrange1Click(Sender: TObject);
    procedure CompileClick(Sender: TObject);
    procedure Tools1Click(Sender: TObject);
    procedure HideErrors1Click(Sender: TObject);
    procedure Recent4Click(Sender: TObject);
    procedure NextField1Click(Sender: TObject);
    procedure SaveAll1Click(Sender: TObject);
    procedure Close1Click(Sender: TObject);
    procedure CloseAll1Click(Sender: TObject);
    procedure TileVertical1Click(Sender: TObject);
    procedure ShowConstructions1Click(Sender: TObject);
    procedure RCXJoystick1Click(Sender: TObject);
    procedure Program11Click(Sender: TObject);
    procedure Keywords1Click(Sender: TObject);
    procedure Datalog1Click(Sender: TObject);
    procedure CloseCOM1Click(Sender: TObject);
    procedure ReopenCOM1Click(Sender: TObject);
    procedure MemoryMap1Click(Sender: TObject);
    procedure Retransmissions1Click(Sender: TObject);
    procedure TurnRCXOff1Click(Sender: TObject);
    procedure ShowCodeListing1Click(Sender: TObject);
    procedure Webpage1Click(Sender: TObject);
    procedure RefreshScreen1Click(Sender: TObject);
    procedure Translate1xto201Click(Sender: TObject);
    procedure SendMessage1Click(Sender: TObject);
  private
    procedure WMDROPFILES(var Message: TWMDROPFILES);
       message WM_DROPFILES;
    { Private declarations }
  public
    { Public declarations }
    procedure SetToolBar(activechild:boolean);
  end;

var
  MainForm: TMainForm;

//var
//  CurEdForm:TEditorForm;       // The currently active editor form

var
  Dont_Update : boolean;         // Indicates that updates should not be done

implementation

{$R *.DFM}

uses ClipBrd, ShellApi, GotoLine, SearchRCX, Piano,
     About, Controller, Diagnose, Unlock, Watch,
     ColorCode,ExecProgram, Preferences, ConstructUnit,
     JoystickUnit, DatalogUnit, TransmitUnit, MemoryUnit,
     CodeUnit, Translate, MessageUnit;

var ProgramDir:string;

{-----------------------------------------------}
{File Menu}

procedure TMainForm.File1Click(Sender: TObject);
begin
  if ActiveMDIChild = nil then
  begin
    Save1.Enabled := false;
    SaveAs1.Enabled := false;
    SaveAll1.Enabled := false;
    Close1.Enabled := false;
    CloseAll1.Enabled := false;
    InsertFile1.Enabled := false;
    Print1.Enabled := false;
  end else begin
    Save1.Enabled := TEditorForm(ActiveMDIChild).TheEditor.Modified;
    SaveAs1.Enabled := true;
    SaveAll1.Enabled := true;
    Close1.Enabled := true;
    CloseAll1.Enabled := true;
    InsertFile1.Enabled := true;
    Print1.Enabled := true;
  end;
  {Show the recent files}
  MainForm.RecentSep.Visible:=false;
  MainForm.Recent1.Visible:=false;
  MainForm.Recent2.Visible:=false;
  MainForm.Recent3.Visible:=false;
  MainForm.Recent4.Visible:=false;
  if not ShowRecent then Exit;
  if RecentFiles[1] <> '' then MainForm.RecentSep.Visible:=true;
  if RecentFiles[1] <> '' then
  begin
    MainForm.Recent1.Visible:=true;
    MainForm.Recent1.Caption:='&1 '+RecentFiles[1];
  end;
  if RecentFiles[2] <> '' then
  begin
    MainForm.Recent2.Visible:=true;
    MainForm.Recent2.Caption:='&2 '+RecentFiles[2];
  end;
  if RecentFiles[3] <> '' then
  begin
    MainForm.Recent3.Visible:=true;
    MainForm.Recent3.Caption:='&3 '+RecentFiles[3];
  end;
  if RecentFiles[4] <> '' then
  begin
    MainForm.Recent4.Visible:=true;
    MainForm.Recent4.Caption:='&4 '+RecentFiles[4];
  end;
end;

var newcount : integer = 0;

procedure TMainForm.New1Click(Sender: TObject);
begin
  newcount := newcount + 1;
  with TEditorForm.Create(Self) do NewFile('Untitled'+IntToStr(newcount));
end;

procedure TMainForm.Open1Click(Sender: TObject);
begin
  if OpenDialog1.Execute() then
  begin
    with TEditorForm.Create(Self) do OpenFile(OpenDialog1.FileName);
    AddRecentFile(OpenDialog1.FileName);
  end;
end;

procedure TMainForm.Save1Click(Sender: TObject);
begin
  if ActiveMDIChild = nil then Exit;
  if TEditorForm(ActiveMDIChild).IsNew then
    SaveAs1Click(Sender)
  else
    TEditorForm(ActiveMDIChild).SaveFile;
end;

procedure TMainForm.SaveAs1Click(Sender: TObject);
begin
  if ActiveMDIChild = nil then Exit;
  SaveDialog1.FileName := TEditorForm(ActiveMDIChild).FileName;
  if SaveDialog1.Execute() then
  begin
    TEditorForm(ActiveMDIChild).SaveFileAs(SaveDialog1.FileName);
    AddRecentFile(SaveDialog1.FileName);
  end;
end;

procedure TMainForm.SaveAll1Click(Sender: TObject);
var i:integer;
begin
  for i:=0 to MDIChildCount-1 do
  begin
    TEditorForm(MDIChildren[i]).BringToFront;
    Save1Click(Sender);
  end;
end;

procedure TMainForm.Close1Click(Sender: TObject);
begin
  if ActiveMDIChild = nil then Exit;
  TEditorForm(ActiveMDIChild).Close;
end;

procedure TMainForm.CloseAll1Click(Sender: TObject);
var i:integer;
begin
  for i:=0 to MDIChildCount-1 do
    TEditorForm(MDIChildren[i]).Close;
end;

procedure TMainForm.InsertFile1Click(Sender: TObject);
begin
  if ActiveMDIChild = nil then Exit;
  if OpenDialog3.Execute() then
    TEditorForm(ActiveMDIChild).InsertFile(OpenDialog3.FileName);
end;

procedure TMainForm.Print1Click(Sender: TObject);
begin
  if ActiveMDIChild = nil then Exit;
  if PrintDialog1.Execute() then
    TEditorForm(ActiveMDIChild).PrintFile;
end;

procedure TMainForm.Recent4Click(Sender: TObject);
begin
    with TEditorForm.Create(Self) do
      OpenFile(RecentFiles[TMenuItem(Sender).Tag]);
end;


procedure TMainForm.Exit1Click(Sender: TObject);
begin
  MainForm.Close();
end;

{-----------------------------------------------}
{Edit Menu}

procedure TMainForm.Edit1Click(Sender: TObject);
begin
  ShowConstructions1.Checked := ConstructForm.Visible;
  if ActiveMDIChild = nil then
  begin
    Undo1.Enabled := false;
    Cut1.Enabled := false;
    Copy1.Enabled := false;
    Paste1.Enabled := false;
    Delete1.Enabled := false;
    SelectAll1.Enabled := false;
    GotoLineNumber1.Enabled := false;
    Find1.Enabled := false;
    FindNext1.Enabled := false;
    Replace1.Enabled := false;
    Translate1xto201.Enabled := false;
    NextField1.Enabled := false;
    RefreshScreen1.Enabled:=false;
  end else begin
    Undo1.Enabled := TEditorForm(ActiveMDIChild).CanUndo;
    Cut1.Enabled := TEditorForm(ActiveMDIChild).Selected;
    Copy1.Enabled := TEditorForm(ActiveMDIChild).Selected;
    Paste1.Enabled := Clipboard.HasFormat(CF_TEXT);
    Delete1.Enabled := TEditorForm(ActiveMDIChild).Selected;
    SelectAll1.Enabled := true;
    GotoLineNumber1.Enabled := true;
    Find1.Enabled := true;
    FindNext1.Enabled := true;
    Replace1.Enabled := true;
    Translate1xto201.Enabled := true;
    NextField1.Enabled := true;
    RefreshScreen1.Enabled:=true;
  end;
end;

procedure TMainForm.Undo1Click(Sender: TObject);
begin
  if ActiveMDIChild <> nil then
    TEditorForm(ActiveMDIChild).Undo;
end;

procedure TMainForm.Cut1Click(Sender: TObject);
begin
  if ActiveMDIChild <> nil then
    TEditorForm(ActiveMDIChild).CutSel;
end;

procedure TMainForm.Copy1Click(Sender: TObject);
begin
  if ActiveMDIChild <> nil then
    TEditorForm(ActiveMDIChild).CopySel;
end;

procedure TMainForm.Paste1Click(Sender: TObject);
begin
  if ActiveMDIChild <> nil then
    TEditorForm(ActiveMDIChild).Paste;
end;

procedure TMainForm.Delete1Click(Sender: TObject);
begin
  if ActiveMDIChild <> nil then
    TEditorForm(ActiveMDIChild).DeleteSel;
end;

procedure TMainForm.SelectAll1Click(Sender: TObject);
begin
  if ActiveMDIChild <> nil then
    TEditorForm(ActiveMDIChild).SelectAll;
end;

procedure TMainForm.GotoLineNumber1Click(Sender: TObject);
begin
  if ActiveMDIChild <> nil then
    TEditorForm(ActiveMDIChild).GotoLine;
end;

procedure TMainForm.FindDialog1Find(Sender: TObject);
begin
  if ActiveMDIChild = nil then Exit;
  if not TEditorForm(ActiveMDIChild).FindIt(FindDialog1.FindText,'',
                    frWholeWord in FindDialog1.Options,
                    frMatchCase in FindDialog1.Options,
                    false,false) then
    FindDialog1.CloseDialog();
end;

procedure TMainForm.ReplaceDialog1Find(Sender: TObject);
begin
  if ActiveMDIChild = nil then Exit;
  if not TEditorForm(ActiveMDIChild).FindIt(ReplaceDialog1.FindText,'',
           frWholeWord in ReplaceDialog1.Options,
           frMatchCase in ReplaceDialog1.Options,
           false,false) then
    ReplaceDialog1.CloseDialog();
end;

procedure TMainForm.ReplaceDialog1Replace(Sender: TObject);
begin
  if ActiveMDIChild = nil then Exit;
  if not TEditorForm(ActiveMDIChild).FindIt(ReplaceDialog1.FindText,
           ReplaceDialog1.ReplaceText,
           frWholeWord in ReplaceDialog1.Options,
           frMatchCase in ReplaceDialog1.Options,
           true,
           frReplaceAll in ReplaceDialog1.Options) then
    ReplaceDialog1.CloseDialog();
end;

procedure TMainForm.Find1Click(Sender: TObject);
begin
  if ActiveMDIChild = nil then Exit;
  if TEditorForm(ActiveMDIChild).TheEditor.SelLength > 0 then
    FindDialog1.FindText := TEditorForm(ActiveMDIChild).TheEditor.SelText;
  FindDialog1.Execute();
end;

procedure TMainForm.FindNext1Click(Sender: TObject);
begin
  if ActiveMDIChild = nil then Exit;
  if CompareStr(FindDialog1.FindText,'') = 0 then
    Find1Click(Self)
  else
    TEditorForm(ActiveMDIChild).FindIt(FindDialog1.FindText,'',
           frWholeWord in FindDialog1.Options,
           frMatchCase in FindDialog1.Options,
           false,false);
end;

procedure TMainForm.Replace1Click(Sender: TObject);
begin
  if ActiveMDIChild = nil then Exit;
  if TEditorForm(ActiveMDIChild).TheEditor.SelLength > 0 then
    ReplaceDialog1.FindText := TEditorForm(ActiveMDIChild).TheEditor.SelText;
  ReplaceDialog1.Execute();
end;

procedure TMainForm.Translate1xto201Click(Sender: TObject);
begin
  if ActiveMDIChild = nil then Exit;
  TranslateIt(TEditorForm(ActiveMDIChild).TheEditor);
  TEditorForm(ActiveMDIChild).RefreshScreen;
end;

procedure TMainForm.ShowConstructions1Click(Sender: TObject);
begin
  ShowConstructions1.Checked := not ShowConstructions1.Checked;
  ConstructForm.Visible := ShowConstructions1.Checked;
  ShowConstructForm := ShowConstructions1.Checked;
end;

procedure TMainForm.NextField1Click(Sender: TObject);
begin
  if ActiveMDIChild <> nil then
    TEditorForm(ActiveMDIChild).NextField;
end;

procedure TMainForm.RefreshScreen1Click(Sender: TObject);
begin
  if ActiveMDIChild <> nil then
    TEditorForm(ActiveMDIChild).RefreshScreen;
end;

procedure TMainForm.Preferences1Click(Sender: TObject);
var i,temppos,templen:integer;
begin
  PrefForm.ShowModal;
  {HANDLE THE CHANGES}
  Statusbar1.Visible:= ShowStatusbar;
  Toolbar1.Visible := ShowToolbar;
  ConstructForm.Visible := ShowConstructForm;
  ConstructForm.ConstructMenu.AutoPopup := ShowConstructPopup;
  if FontChanged then
  begin
    for i:=0 to MDIChildCount-1 do
     with TEditorForm(MDIChildren[i]).TheEditor do
     begin
      temppos := SelStart;
      templen := SelLength;
      SelectAll;
      SelAttributes.Name := FontName;
      SelAttributes.Size := FontSize;
      SelStart := temppos;
      SelLength := templen;
    end;
  end;
  if ColorCodingChanged then
  begin
    for i:=0 to MDIChildCount-1 do
    begin
      if ColorCoding then
        ShowColorCode(TEditorForm(MDIChildren[i]).TheEditor,
                         0,TEditorForm(MDIChildren[i]).TheEditor.Lines.Count)
      else
        HideColorCode(TEditorForm(MDIChildren[i]).TheEditor);
    end;
  end;
  if ConstructionsChanged then
  begin
    ConstructForm.CreateConstructPanel;
    ConstructForm.CreateConstructPopUp;
  end;
end;

{-----------------------------------------------}
{Compile Menu}

procedure TMainForm.CompileClick(Sender: TObject);
begin
  Run1.Enabled := RCXalive;
  Stop1.Enabled := RCXalive;
  ProgramNumber1.Enabled := RCXAlive and IsMindStorms;
  if ActiveMDIChild = nil then
  begin
    Compile1.Enabled := false;
    Download1.Enabled := false;
    DownloadandRun1.Enabled := false;
    HideErrors1.Enabled := false;
  end else begin
    Compile1.Enabled := true;
    Download1.Enabled := RCXalive;
    DownloadandRun1.Enabled := RCXalive;
    HideErrors1.Enabled := TEditorForm(ActiveMDIChild).TheErrors.Visible;
  end;
  ShowCodeListing1.Enabled := true;
  if CodeForm.Visible then
    ShowCodeListing1.Caption := 'Hide Code/Error Listing'
  else
    ShowCodeListing1.Caption := 'Show Code/Error Listing';
end;

function CompileIt(download:boolean): boolean;
{Does the compilation. Returns whether succesful.}
var SaveCursor:TCursor;
      SaveDir:string;
      commandstr:string;
      i:integer;
      str:string;
begin
  {Save cursor}
  SaveCursor := Screen.Cursor;
  Screen.Cursor := crHourglass;

  {Save current directory}
  SaveDir:= GetCurrentDir();
  SetCurrentDir(ProgramDir);

  {Save the file}
  TEditorForm(MainForm.ActiveMDIChild).TheEditor.Lines.SaveToFile('temp.nqc');

  {Create the command}
  commandstr := 'nqc -E"temp.log" -L"temp.lst" -I"'+SaveDir+'"';
  if CompatibilityMode then
    commandstr := commandstr + ' -1';
  if not IsMindStorms then
    commandstr := commandstr + ' -TCM';
  if download then
    commandstr := commandstr + ' -d -SCOM' + InttoStr(MainForm.RCX.ComPortNo);
  commandstr := commandstr + ' temp.nqc';

  {Execute the command, and wait}
  if download then MainForm.RCX.CloseComm();
  ExecuteAndWait(PChar(commandstr),SW_SHOWNORMAL);
  if download then MainForm.RCX.InitComm();

  {Read the error file and show it}
  MainForm.TempErrors.Items.LoadFromFile('temp.log');
  if (MainForm.TempErrors.Items.Count >0) then
  begin
    {Show the error listing}
    CodeForm.CodeEdit.Lines.LoadFromFile('temp.log');
    CodeForm.Caption := 'Full Errors in ' +
                         TEditorForm(MainForm.ActiveMDIChild).Caption;
    {Show the short errors}
    TEditorForm(MainForm.ActiveMDIChild).TheErrors.Items.Clear;
    for i:=0 to MainForm.TempErrors.Items.Count-1 do
    begin
      if (Pos('# Error:',MainForm.TempErrors.Items[i])>0) or
         (Pos('# Warning:',MainForm.TempErrors.Items[i])>0) then
        str:= Copy(MainForm.TempErrors.Items[i],2,100);
      if Pos('File "temp.nqc" ; line',MainForm.TempErrors.Items[i])>0 then
         TEditorForm(MainForm.ActiveMDIChild).TheErrors.Items.Append(Copy(MainForm.TempErrors.Items[i],19,100)+':'+str);
    end;
    {Correction when main not defined}
    if Pos('Task ''main'' not defined',MainForm.TempErrors.Items[0])>0 then
      TEditorForm(MainForm.ActiveMDIChild).TheErrors.Items.Append(
                                         'line 0: task ''main'' not defined');
    {show the errors}
    MainForm.StatusBar1.Panels[1].Text := 'Errors';
    TEditorForm(MainForm.ActiveMDIChild).TheErrors.Visible:=true;
    CompileIt := false;
    TEditorForm(MainForm.ActiveMDIChild).TheErrors.ItemIndex:=0;
    TEditorForm(MainForm.ActiveMDIChild).TheErrorsClick(
                  TEditorForm(MainForm.ActiveMDIChild).TheErrors);
  end else begin
    {Show the code listing}
    if FileExists('temp.lst') then
      CodeForm.CodeEdit.Lines.LoadFromFile('temp.lst')
    else
      CodeForm.CodeEdit.Lines.Clear;
    CodeForm.Caption := 'Code listing of ' +
                         TEditorForm(MainForm.ActiveMDIChild).Caption;
    {Hide the short errors}
    MainForm.HideErrors1Click(MainForm.HideErrors1);
    CompileIt := true;
  end;
  {Clean up}
  DeleteFile('temp.log');
  DeleteFile('temp.lst');
  DeleteFile('temp.nqc');
  DeleteFile('temp.rcx');
  Screen.Cursor := SaveCursor;
  SetCurrentDir(SaveDir);
  TEditorForm(MainForm.ActiveMDIChild).TheEditor.Repaint;   {Seems to be sometimes necessary???}
  MainForm.SetFocus;
end;

procedure TMainForm.Compile1Click(Sender: TObject);
begin
  if ActiveMDIChild = nil then Exit;
  CompileIt(false);
end;

procedure TMainForm.Download1Click(Sender: TObject);
begin
  if not CheckAlive then Exit;
  if ActiveMDIChild = nil then Exit;
  if IsMindStorms then RCX.SelectPrgm(ProgramBox.ItemIndex);
  CompileIt(true);
end;

procedure TMainForm.DownloadandRun1Click(Sender: TObject);
begin
  if not CheckAlive then Exit;
  if ActiveMDIChild = nil then Exit;
  if IsMindStorms then RCX.SelectPrgm(ProgramBox.ItemIndex);
  if CompileIt(true) then RCX.StartTask(0);
end;

procedure TMainForm.Program11Click(Sender: TObject);
begin
  if not CheckAlive then Exit;
  TMenuItem(Sender).Checked := true;
  RCX.SelectPrgm(TMenuItem(Sender).Tag);
  ProgramBox.ItemIndex := TMenuItem(Sender).Tag;
end;

procedure TMainForm.ShowCodeListing1Click(Sender: TObject);
begin
  CodeForm.Visible := not CodeForm.Visible;
end;

procedure TMainForm.HideErrors1Click(Sender: TObject);
begin
  if ActiveMDIChild = nil then Exit;
  TEditorForm(ActiveMDIChild).TheErrors.Items.Clear;
  StatusBar1.Panels[1].Text := '';
  TEditorForm(ActiveMDIChild).TheErrors.Visible:=false;
end;

procedure TMainForm.Run1Click(Sender: TObject);
begin
  if not CheckAlive then Exit;
  if IsMindStorms then RCX.SelectPrgm(ProgramBox.ItemIndex);
  RCX.StartTask(0);
end;

procedure TMainForm.Stop1Click(Sender: TObject);
begin
  if not CheckAlive then Exit;
  RCX.StopAllTasks();
  RCX.Off('012');
end;

{-----------------------------------------------}
{Tools Menu}

var COMClosed:boolean = false;  // Whether communication is closed

procedure TMainForm.Tools1Click(Sender: TObject);
begin
  DirectControl1.Checked := DirectForm.Visible;
  DirectControl1.Enabled := RCXalive;
  SendMessage1.Checked := MessageForm.Visible;
  SendMessage1.Enabled := RCXalive;
  Diagnose1.Checked := DiagForm.Visible;
  Diagnose1.Enabled := RCXalive;
  Watch1.Checked := WatchForm.Visible;
  Watch1.Enabled := RCXalive;
  RCXPiano1.Enabled := true;
  RCXPiano1.Checked := PianoForm.Visible;
  RCXJoystick1.Enabled := RCXalive;
  RCXJoystick1.Checked := JoystickForm.Visible;

  Datalog1.Enabled := RCXalive and IsMindStorms;
  Datalog1.Checked := DatalogForm.Visible;
  MemoryMap1.Enabled := RCXAlive;
  MemoryMap1.Checked := MemoryForm.Visible;
  ClearMemory1.Enabled := RCXalive;
  Retransmissions1.Enabled := RCXAlive;
  Retransmissions1.Checked := TransmitForm.Visible;

  FindRCX1.Enabled := not RCXAlive;
  TurnRCXOff1.Enabled := RCXAlive;
  CloseCOM1.Enabled := RCXAlive;
  ReopenCOM1.Enabled := (not RCXAlive) and COMClosed;

  Firmware1.Enabled := RCXalive and IsMindStorms;
end;

procedure TMainForm.DirectControl1Click(Sender: TObject);
begin
  if not CheckAlive then
    DirectForm.Visible := false
  else
    DirectForm.Visible := not TMenuItem(Sender).Checked;
 end;

procedure TMainForm.Diagnose1Click(Sender: TObject);
begin
  if not CheckAlive then
    DiagForm.Visible := false
  else
    DiagForm.Visible := not TMenuItem(Sender).Checked;
end;

procedure TMainForm.Watch1Click(Sender: TObject);
begin
  if not CheckAlive then
    WatchForm.Visible := false
  else
    WatchForm.Visible := not TMenuItem(Sender).Checked;
end;

procedure TMainForm.RCXPiano1Click(Sender: TObject);
begin
  PianoForm.Visible := not TMenuItem(Sender).Checked;
end;

procedure TMainForm.RCXJoystick1Click(Sender: TObject);
begin
  if not CheckAlive then
    JoystickForm.Visible := false
  else
    JoystickForm.Visible := not TMenuItem(Sender).Checked;
end;

procedure TMainForm.SendMessage1Click(Sender: TObject);
begin
  if not CheckAlive then
    MessageForm.Visible := false
  else
    MessageForm.Visible := not TMenuItem(Sender).Checked;
end;

procedure TMainForm.Datalog1Click(Sender: TObject);
begin
  if not CheckAlive then
    DatalogForm.Visible := false
  else
    DatalogForm.Visible := not TMenuItem(Sender).Checked;
end;

procedure TMainForm.MemoryMap1Click(Sender: TObject);
begin
  if not CheckAlive then
    MemoryForm.Visible := false
  else
    MemoryForm.Visible := not TMenuItem(Sender).Checked;
end;

procedure TMainForm.Clearmemory1Click(Sender: TObject);
var i:integer;
begin
  if not CheckAlive then exit;
  if IsMindStorms then
  begin
    for i:=0 to 4 do
    begin
      RCX.SelectPrgm(i);
      RCX.DeleteAllTasks();
      RCX.DeleteAllSubs();
    end;
    RCX.SetDatalog(0);
    // Set program number back
    ProgramBoxChange(ProgramBox);
  end else begin
    RCX.DeleteAllTasks();
    RCX.DeleteAllSubs();
  end;
end;

procedure TMainForm.Retransmissions1Click(Sender: TObject);
begin
  if not CheckAlive then
    TransmitForm.Visible := false
  else
    TransmitForm.Visible := not TMenuItem(Sender).Checked;
end;

procedure FindRCX(atstartup:boolean);
begin
  SearchForRCX(atstartup);
  {Change setting and give warnings based on the outcome}
  if not IRExists then
  begin
    MessageDlg('No connection to the robot. Certain options will be unavailable.',mtInformation,[mbOK], 0);
    MainForm.StatusBar1.Panels[2].Text := 'no port';
    MainForm.StatusBar1.Panels[3].Text := '';
  end else if not RCXalive then
  begin
    MessageDlg('No connection to the robot. Certain options will be unavailable.',mtInformation,[mbOK], 0);
    MainForm.StatusBar1.Panels[2].Text := Format('COM%d',[MainForm.RCX.ComPortNo]);
    MainForm.StatusBar1.Panels[3].Text := 'no robot';
  end else if not IsMindStorms then
  begin
    MainForm.RCX.UnlockFirmware('Do you byte, when I knock?');
    MainForm.StatusBar1.Panels[2].Text := Format('COM%d',[MainForm.RCX.ComPortNo]);
    MainForm.StatusBar1.Panels[3].Text := 'CyberMaster';
  end else begin
    MainForm.StatusBar1.Panels[2].Text := Format('COM%d',[MainForm.RCX.ComPortNo]);
    MainForm.StatusBar1.Panels[3].Text := 'MindStorms';
    MainForm.RCX.SelectPrgm(0);
    MainForm.ProgramBox.ItemIndex:=0;
  end;
end;

procedure TMainForm.FindRCX1Click(Sender: TObject);
begin
  FindRCX(false);
  COMClosed := false;
  SetToolBar(ActiveMDIChild <> nil);
end;

procedure TMainForm.TurnRCXOff1Click(Sender: TObject);
begin
  if RCXAlive then
  begin
    RCX.PBTurnOff();
    RCX.CloseComm;
    RCXAlive := false;
    COMClosed := false;
    SetToolBar(ActiveMDIChild <> nil);
  end;
end;

procedure TMainForm.CloseCOM1Click(Sender: TObject);
begin
  RCX.CloseComm;
  RCXAlive := false;
  COMClosed := true;
  SetToolBar(ActiveMDIChild <> nil);
end;

procedure TMainForm.ReopenCOM1Click(Sender: TObject);
begin
  if RCX.InitComm() and RCX.PBAliveOrNot() then
  begin
    RCXAlive := true;
    COMClosed := false;
    SetToolBar(ActiveMDIChild <> nil);
  end else begin
    FindRCX1Click(Self);
  end;
end;

procedure TMainForm.RCXDownloadDone(Sender: TObject; ErrorCode,
  DownloadNo: Smallint);
begin
  if (DownloadNo = 100) and (ErrorCode = 0) then
  begin
    MainForm.RCX.UnlockFirmware('Do you byte, when I knock?');
    UnlockForm.Close;
  end else if (DownloadNo = 100) and (ErrorCode <> 0) then
  begin
    MessageDlg('Firmware download failed. Put the RCX closer and try again.',
                     mtError,[mbOK],0);
    UnlockForm.Close;
  end else
    ShowMessage ('wrong download number');
end;

procedure TMainForm.Firmware1Click(Sender: TObject);
begin
  if not CheckAlive then exit;
  if OpenDialog2.Execute() then
  begin
    DirectForm.Close;
    WatchForm.Close;
    DiagForm.Close;
    JoystickForm.Close;
    PianoForm.Close;
    DatalogForm.Close;
    MemoryForm.Close;
    TransmitForm.Close;
    if not RCX.DownloadFirmware(OpenDialog2.FileName) then
    begin
      MessageDlg('Firmware download failed. Put the RCX closer and try again.',
                     mtError,[mbOK],0);
      Exit;
    end;
    UnlockForm.ShowModal();
    RCX.PBTxPower(1);
  end;
end;


{-----------------------------------------------}
{Window Menu}

procedure TMainForm.TileHorizontalClick(Sender: TObject);
var i:integer;
begin
  for i:=0 to MDIChildCount-1 do
    TEditorForm(MDIChildren[i]).TileMode:= tbHorizontal;
  Tile;
end;

procedure TMainForm.TileVertical1Click(Sender: TObject);
var i,w,h:integer;
begin
  w := (ClientWidth-4) div MDIChildCount;
  h := ClientHeight -StatusBar1.Height-ToolBar1.Height-4;
  for i:=0 to MDIChildCount-1 do
    with TEditorForm(MDIChildren[i]) do
    begin
      Top := 0;
      Left := i*w;
      Width := w;
      Height := h;
    end;
end;

procedure TMainForm.Cascade1Click(Sender: TObject);
begin
 Cascade;
end;

procedure TMainForm.Arrange1Click(Sender: TObject);
begin
  ArrangeIcons;
end;


{-----------------------------------------------}
{Help Menu}

procedure TMainForm.Contents1Click(Sender: TObject);
begin
  Application.HelpJump('');
end;

procedure TMainForm.Keywords1Click(Sender: TObject);
var str:PChar;
begin
  str := '';
  if (ActiveMDIChild <> nil) and
     (TEditorForm(ActiveMDIChild).TheEditor.SelLength > 0) then
    str := PChar(TEditorForm(ActiveMDIChild).TheEditor.SelText);
  Application.HelpCommand(HELP_KEY, Integer(str));
end;

procedure TMainForm.HowTo1Click(Sender: TObject);
begin
  Application.HelpCommand(HELP_HELPONHELP, 0);
end;

procedure TMainForm.Webpage1Click(Sender: TObject);
var  zFileName, zParams, zDir: array[0..79] of Char;
begin
    ShellExecute(Application.MainForm.Handle, 'open',
      StrPCopy(zFileName,'http://www.cs.uu.nl/people/markov/lego/'),
      StrPCopy(zParams,''),StrPCopy(zDir,''),SW_NORMAL);
end;

procedure TMainForm.About1Click(Sender: TObject);
begin
  AboutBox.ShowModal();
end;

{-----------------------------------------------}
{Toolbar}

procedure TMainForm.NewBtnClick(Sender: TObject);
begin
  New1Click(Self);
end;

procedure TMainForm.OpenBtnClick(Sender: TObject);
begin
  Open1Click(Self);
end;

procedure TMainForm.SaveBtnClick(Sender: TObject);
begin
  Save1Click(Self);
end;

procedure TMainForm.PrintBtnClick(Sender: TObject);
begin
  Print1Click(Self);
end;

procedure TMainForm.FindBtnClick(Sender: TObject);
begin
  Find1Click(Self);
end;

procedure TMainForm.ReplaceBtnClick(Sender: TObject);
begin
  Replace1Click(Self);
end;

procedure TMainForm.CompileBtnClick(Sender: TObject);
begin
  Compile1Click(Self);
end;

procedure TMainForm.DownloadBtnClick(Sender: TObject);
begin
  Download1Click(Self);
end;

procedure TMainForm.ProgramBoxChange(Sender: TObject);
begin
  if not CheckAlive then Exit;
  RCX.SelectPrgm(TComboBox(Sender).ItemIndex);
  case TComboBox(Sender).ItemIndex of
    0: Program11.Checked := true;
    1: Program21.Checked := true;
    2: Program31.Checked := true;
    3: Program41.Checked := true;
    4: Program51.Checked := true;
  end;
end;

procedure TMainForm.RunBtnClick(Sender: TObject);
begin
  Run1Click(Self);
end;

procedure TMainForm.StopBtnClick(Sender: TObject);
begin
  Stop1Click(Self);
end;


procedure TMainForm.InfoBtnClick(Sender: TObject);
begin
  About1Click(Self);
end;

procedure TMainForm.HelpBtnClick(Sender: TObject);
begin
  Keywords1Click(Self);
end;

{-----------------------------------------------}
{Form Creation}

procedure TMainForm.FormCreate(Sender: TObject);
begin
  {Let Windows know we accept dropped files}
  DragAcceptFiles(MainForm.Handle,true);
  {Find the program directory}
  ProgramDir := ExtractFilePath(Application.ExeName);
  Application.HelpFile := ProgramDir+'Documentation\RCXCC.HLP';
  {Allow for updating changes}
  Dont_Update:=false;
end;

procedure TMainForm.FormShow(Sender: TObject);
var str:string;
    i:integer;
begin
  {Find the RCX}
  FindRCX(true);
  {Show toolbar and statusbar}
  Statusbar1.Visible:= ShowStatusbar;
  Toolbar1.Visible := ShowToolbar;
  SetToolBar(false);
  {Open agument file, if any }
  if ParamCount>0 then
  begin
    str:= ParamStr(1);
    for i:=2 to ParamCount do
      str:=str + ' ' + ParamStr(i);
    with TEditorForm.Create(Self) do OpenFile(str);
  end;
  {Add the Constructs}
  ConstructForm.CreateConstructPanel;
  if ShowConstructForm then ConstructForm.Show;
  ConstructForm.CreateConstructPopup;
  ConstructForm.ConstructMenu.AutoPopup := ShowConstructPopup;
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if RCXAlive then RCX.CloseComm;
end;

procedure TMainForm.WMDROPFILES(var Message: TWMDROPFILES);
{Reacting on dropping a file on the form}
var buffer:array[0..255] of char;
begin
  DragQueryFile(Message.Drop,0,@buffer,sizeof(buffer));
  with TEditorForm.Create(Self) do OpenFile(buffer);
end;

procedure TMainForm.SetToolBar(activechild:boolean);
{Sets the toolbar correctly}
begin
  if not activechild then
  begin
    SaveBtn.Enabled := false;
    PrintBtn.Enabled := false;
    FindBtn.Enabled := false;
    ReplaceBtn.Enabled := false;
    CompileBtn.Enabled := false;
    DownloadBtn.Enabled := false;
  end else begin
    SaveBtn.Enabled := TEditorForm(ActiveMDIChild).TheEditor.Modified;
    PrintBtn.Enabled := true;
    FindBtn.Enabled := true;
    ReplaceBtn.Enabled := true;
    CompileBtn.Enabled := true;
    DownloadBtn.Enabled := RCXAlive;
  end;
  ProgramBox.Enabled := RCXalive and IsMindStorms;
  RunBtn.Enabled:=RCXalive;
  StopBtn.Enabled:=RCXalive;
end;



end.
